Bug 1031264 - SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/sbin/postdrop.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6be548d643f2208a8519e55442e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 04:34 EST by Nicolas Mailhot
Modified: 2013-12-06 12:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 12:20:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-11-16 04:34:54 EST
Description of problem:
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/sbin/postdrop.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que bash devrait être autorisé à accéder getattr sur postdrop file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_master_t:s0
Target Context                system_u:object_r:postfix_postdrop_exec_t:s0
Target Objects                /usr/sbin/postdrop [ file ]
Source                        sh
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           findutils-4.5.12-2.fc21.x86_64
Target RPM Packages           postfix-2.10.2-2.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-1.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.13.0-0.rc0.git3.1.fc21.x86_64 #1
                              SMP Wed Nov 13 15:42:53 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-11-15 11:05:49 CET
Last Seen                     2013-11-15 11:05:52 CET
Local ID                      c5beadda-5db0-458c-8adf-1f29868290a0

Raw Audit Messages
type=AVC msg=audit(1384509952.773:63): avc:  denied  { getattr } for  pid=1129 comm="find" path="/usr/sbin/postdrop" dev="dm-0" ino=2760917 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:postfix_postdrop_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1384509952.773:63): arch=x86_64 syscall=newfstatat success=no exit=EACCES a0=ffffffffffffff9c a1=27d0098 a2=27d0008 a3=100 items=0 ppid=1100 pid=1129 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=find exe=/usr/bin/find subj=system_u:system_r:postfix_master_t:s0 key=(null)

Hash: sh,postfix_master_t,postfix_postdrop_exec_t,file,getattr

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.13.0-0.rc0.git3.1.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-12-06 12:20:51 EST
#============= postfix_master_t ==============

#!!!! This avc is allowed in the current policy
allow postfix_master_t postfix_postdrop_exec_t:file getattr;

Note You need to log in before you can comment on or make changes to this bug.